task: detect
mode: train
model: ultralytics/cfg/models/v8/yolov8n-RepC3.yaml
data: ultralytics/datasets/traffic.yaml
epochs: 600
patience: 50
batch: 32
imgsz: 640
save: false
save_period: -1
cache: false
device: 0
workers: 2
project: null
name: train2
exist_ok: false
pretrained: false
optimizer: auto
verbose: true
seed: 0
deterministic: true
single_cls: false
rect: false
cos_lr: false
close_mosaic: 60
resume: false
amp: false
fraction: 1.0
profile: false
freeze: null
overlap_mask: true
mask_ratio: 4
dropout: 0.0
val: false
split: val
save_json: false
save_hybrid: false
conf: null
iou: 0.7
max_det: 300
half: false
dnn: false
plots: false
source: datasets/traffic/test/images/
vid_stride: 1
stream_buffer: false
visualize: false
augment: false
agnostic_nms: false
classes: null
retina_masks: false
show: false
save_frames: false
save_txt: false
save_conf: false
save_crop: false
show_labels: true
show_conf: true
show_boxes: true
line_width: null
format: torchscript
keras: false
optimize: false
int8: false
dynamic: false
simplify: false
opset: null
workspace: 4
nms: false
lr0: 0.00968
lrf: 0.0099
momentum: 0.93117
weight_decay: 0.00049
warmup_epochs: 3.03792
warmup_momentum: 0.8
warmup_bias_lr: 0.1
box: 7.5
cls: 0.50215
dfl: 1.49365
pose: 12.0
kobj: 1.0
label_smoothing: 0.0
nbs: 64
hsv_h: 0.015
hsv_s: 0.67647
hsv_v: 0.392
degrees: 0.0
translate: 0.09937
scale: 0.49799
shear: 0.0
perspective: 0.0
flipud: 0.0
fliplr: 0.50012
mosaic: 1.0
mixup: 0.0
copy_paste: 0.0
cfg: null
tracker: botsort.yaml
v5loader: true
fl_gamma: 0.0
image_weights: false
save_dir: runs\detect\train2
Validating runs\detect\train2\weights\best.pt...
Ultralytics YOLOv8.0.227 🚀 Python-3.9.18 torch-2.1.2 CUDA:0 (NVIDIA GeForce RTX 4060 Ti, 16380MiB)
YOLOv8n-RepC3 summary (fused): 147 layers, 3927833 parameters, 0 gradients, 10.4 GFLOPs
                 Class     Images  Instances      Box(P          R      mAP50  mAP50-95): 100%|██████████| 28/28 [00:06
                   all       1786       3027      0.971      0.948      0.984      0.791
             mandatory       1786        863      0.972      0.954      0.988      0.809
           prohibitory       1786       1654      0.975       0.93      0.978      0.789
               warning       1786        510      0.966      0.959      0.986      0.775
Speed: 0.1ms preprocess, 0.6ms inference, 0.0ms loss, 0.5ms postprocess per image
💡 Learn more at https://docs.ultralytics.com/modes/train